Bug 749982 - KPackageKit always offers unstable distribution upgrades
KPackageKit always offers unstable distribution upgrades
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kpackagekit (Show other bugs)
15
Unspecified Linux
unspecified Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-29 08:34 EDT by nicofo
Modified: 2012-08-07 14:09 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 14:09:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Zif backend proposes to upgrade to a beta version of Fedora (74.23 KB, image/png)
2011-10-29 08:34 EDT, nicofo
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 282418 None None None Never

  None (edit)
Description nicofo 2011-10-29 08:34:19 EDT
Created attachment 530779 [details]
Zif backend proposes to upgrade to a beta version of Fedora

Description of problem:
Zif proposes to upgrade to the new version of Fedora which is still in Beta/Alpha/... There is no special warning that it not a stable version !

For instance in kpackagekit, the "updates" view already proposes to upgrade to fedora 16, still beta !! (while yum backend doesn't) <see picture attached>

Version-Release number of selected component (if applicable):
zif-0.2.5-0.133.20110927git.fc15.i686
PackageKit-zif-0.6.17-1.fc15.zifbackend.20110926git.1.i686

How reproducible:
Always

Expected results:
Do not propose to upgrade to an Alpha, Beta, RC release !
Do that only for the official stable release.
Comment 1 Richard Hughes 2011-10-31 06:34:24 EDT
I think you'll find that "pkcon get-distro-upgrades" reports that the upgrade to F16 is 'unstable' and this should be filtered out if not desired by apper.
Comment 2 Kevin Kofler 2011-10-31 07:27:12 EDT
This is already fixed in the current Apper, which we ship in Fedora 16. So far, we haven't backported the fix to Fedora 15 though.
Comment 3 Kevin Kofler 2011-10-31 07:29:33 EDT
FWIW, I might end up just sticking a current Apper into the zif-backport repo. Though arguably this is a fix we should be able to backport to the KPackageKit build in F15. (Or do we want to ship Apper as an official update to F15?)
Comment 4 Fedora End Of Life 2012-08-07 14:09:16 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.